Index: DefaultSearchPanelView.xml
===================================================================
--- DefaultSearchPanelView.xml	(revision 44602)
+++ DefaultSearchPanelView.xml	(revision 44603)
@@ -24,7 +24,7 @@
     </at>
     <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
    </super>
-   <at name="id">/home/jjdelcerro/datos/devel/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/searchpanel/DefaultSearchPanelView.xml</at>
+   <at name="id">/home/osc/devel/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/searchpanel/DefaultSearchPanelView.xml</at>
    <at name="rowspecs">CENTER:4DLU:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE</at>
    <at name="colspecs">FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE</at>
    <at name="components">
@@ -89,7 +89,7 @@
                  <at name="value">
                   <object classname="com.jeta.forms.store.properties.TabProperty">
                    <at name="name">tab</at>
-                   <at name="title">Simplificada</at>
+                   <at name="title">_Simplified</at>
                    <at name="icon">
                     <object classname="com.jeta.forms.store.properties.IconProperty">
                      <at name="embedded">false</at>
@@ -113,7 +113,7 @@
                       </at>
                       <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                      </super>
-                     <at name="id">embedded.2041925155</at>
+                     <at name="id">embedded.607488925</at>
                      <at name="rowspecs">CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:4DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE</at>
                      <at name="colspecs">FILL:4DLU:NONE,FILL:12DLU:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:12DLU:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:12DLU:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:12DLU:GROW(1.0),FILL:DEFAULT:NONE,FILL:4DLU:NONE</at>
                      <at name="components">
@@ -166,7 +166,7 @@
                               <at name="editable">true</at>
                               <at name="requestFocusEnabled">false</at>
                               <at name="name">cboValue1</at>
-                              <at name="width">161</at>
+                              <at name="width">75</at>
                               <at name="items">
                                <object classname="com.jeta.forms.store.properties.ItemsProperty">
                                 <at name="name">items</at>
@@ -228,7 +228,7 @@
                               <at name="editable">true</at>
                               <at name="requestFocusEnabled">false</at>
                               <at name="name">cboValue2</at>
-                              <at name="width">161</at>
+                              <at name="width">75</at>
                               <at name="items">
                                <object classname="com.jeta.forms.store.properties.ItemsProperty">
                                 <at name="name">items</at>
@@ -290,7 +290,7 @@
                               <at name="editable">true</at>
                               <at name="requestFocusEnabled">false</at>
                               <at name="name">cboValue3</at>
-                              <at name="width">161</at>
+                              <at name="width">74</at>
                               <at name="items">
                                <object classname="com.jeta.forms.store.properties.ItemsProperty">
                                 <at name="name">items</at>
@@ -352,7 +352,7 @@
                               <at name="editable">true</at>
                               <at name="requestFocusEnabled">false</at>
                               <at name="name">cboValue4</at>
-                              <at name="width">154</at>
+                              <at name="width">68</at>
                               <at name="items">
                                <object classname="com.jeta.forms.store.properties.ItemsProperty">
                                 <at name="name">items</at>
@@ -412,7 +412,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblRelationalOperator1</at>
-                              <at name="width">134</at>
+                              <at name="width">48</at>
                               <at name="text">Igual</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
@@ -473,7 +473,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblRelationalOperator2</at>
-                              <at name="width">134</at>
+                              <at name="width">48</at>
                               <at name="text">Igual</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
@@ -534,7 +534,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblRelationalOperator3</at>
-                              <at name="width">134</at>
+                              <at name="width">47</at>
                               <at name="text">Igual</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
@@ -595,7 +595,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblRelationalOperator4</at>
-                              <at name="width">134</at>
+                              <at name="width">48</at>
                               <at name="text">Igual</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
@@ -839,7 +839,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblField1</at>
-                              <at name="width">134</at>
+                              <at name="width">48</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                                 <at name="name">fill</at>
@@ -899,7 +899,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblField2</at>
-                              <at name="width">134</at>
+                              <at name="width">48</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                                 <at name="name">fill</at>
@@ -959,7 +959,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblField3</at>
-                              <at name="width">134</at>
+                              <at name="width">47</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                                 <at name="name">fill</at>
@@ -1019,7 +1019,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblField4</at>
-                              <at name="width">134</at>
+                              <at name="width">48</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                                 <at name="name">fill</at>
@@ -1322,7 +1322,7 @@
                            </at>
                           </object>
                          </at>
-                         <at name="name"></at>
+                         <at name="name"/>
                          <at name="fill">
                           <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                            <at name="name">fill</at>
@@ -1411,7 +1411,7 @@
                  <at name="value">
                   <object classname="com.jeta.forms.store.properties.TabProperty">
                    <at name="name">tab</at>
-                   <at name="title">Avanzada</at>
+                   <at name="title">_Advanced</at>
                    <at name="icon">
                     <object classname="com.jeta.forms.store.properties.IconProperty">
                      <at name="embedded">false</at>
@@ -1435,7 +1435,7 @@
                       </at>
                       <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                      </super>
-                     <at name="id">embedded.1846888562</at>
+                     <at name="id">embedded.1257561441</at>
                      <at name="rowspecs">CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE</at>
                      <at name="colspecs">FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE</at>
                      <at name="components">
@@ -1485,7 +1485,7 @@
                                </object>
                               </at>
                               <at name="name">txtAdvancedExpression</at>
-                              <at name="width">769</at>
+                              <at name="width">424</at>
                               <at name="height">20</at>
                              </object>
                             </at>
@@ -1539,8 +1539,8 @@
                                </object>
                               </at>
                               <at name="name">lblExpressionDeBusqueda</at>
-                              <at name="width">769</at>
-                              <at name="text">Introduzca una expresion de busqueda</at>
+                              <at name="width">424</at>
+                              <at name="text">_Insert_a_search_expression</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                                 <at name="name">fill</at>
@@ -1748,7 +1748,7 @@
                            </at>
                           </object>
                          </at>
-                         <at name="name"/>
+                         <at name="name"></at>
                          <at name="fill">
                           <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                            <at name="name">fill</at>
@@ -1831,7 +1831,7 @@
               </at>
              </object>
             </at>
-            <at name="width">887</at>
+            <at name="width">542</at>
             <at name="tabCount">2</at>
             <at name="height">154</at>
            </object>
@@ -1886,7 +1886,7 @@
              </object>
             </at>
             <at name="name">tblResults</at>
-            <at name="width">885</at>
+            <at name="width">540</at>
             <at name="scollBars">
              <object classname="com.jeta.forms.store.properties.ScrollBarsProperty">
               <at name="name">scollBars</at>
@@ -1939,7 +1939,7 @@
          </at>
          <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
         </super>
-        <at name="id">embedded.1196826108</at>
+        <at name="id">embedded.730061379</at>
         <at name="rowspecs">CENTER:DEFAULT:NONE</at>
         <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
         <at name="components">
@@ -1990,8 +1990,8 @@
                  </at>
                  <at name="actionCommand">Buscar</at>
                  <at name="name">btnSearch</at>
-                 <at name="width">72</at>
-                 <at name="text">Buscar</at>
+                 <at name="width">78</at>
+                 <at name="text">_Search</at>
                  <at name="height">22</at>
                 </object>
                </at>
@@ -2046,8 +2046,8 @@
                  </at>
                  <at name="actionCommand">Limpiar</at>
                  <at name="name">btnClear</at>
-                 <at name="width">74</at>
-                 <at name="text">Limpiar</at>
+                 <at name="width">68</at>
+                 <at name="text">_Clear</at>
                  <at name="height">22</at>
                 </object>
                </at>
@@ -2155,7 +2155,7 @@
          </at>
          <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
         </super>
-        <at name="id">embedded.267987326</at>
+        <at name="id">embedded.835443061</at>
         <at name="rowspecs">CENTER:DEFAULT:NONE</at>
         <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
         <at name="components">
@@ -2205,7 +2205,7 @@
                   </object>
                  </at>
                  <at name="name">lblMsg</at>
-                 <at name="width">859</at>
+                 <at name="width">514</at>
                  <at name="fill">
                   <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                    <at name="name">fill</at>
@@ -2352,7 +2352,7 @@
          </at>
          <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
         </super>
-        <at name="id">embedded.I17092edeI16c41952af7OY7ff1</at>
+        <at name="id">embedded.15882479</at>
         <at name="rowspecs">CENTER:DEFAULT:NONE</at>
         <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE</at>
         <at name="components">
@@ -2409,7 +2409,7 @@
               </at>
              </object>
             </at>
-            <at name="name"></at>
+            <at name="name"/>
             <at name="fill">
              <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
               <at name="name">fill</at>
@@ -2420,6 +2420,26 @@
               <at name="name">scollBars</at>
               <at name="verticalpolicy">21</at>
               <at name="horizontalpolicy">31</at>
+              <at name="border">
+               <object classname="com.jeta.forms.store.properties.CompoundBorderProperty">
+                <super classname="com.jeta.forms.store.properties.BorderProperty">
+                 <at name="name">border</at>
+                </super>
+                <at name="borders">
+                 <object classname="java.util.LinkedList">
+                  <item >
+                   <at name="value">
+                    <object classname="com.jeta.forms.store.properties.DefaultBorderProperty">
+                     <super classname="com.jeta.forms.store.properties.BorderProperty">
+                      <at name="name">border</at>
+                     </super>
+                    </object>
+                   </at>
+                  </item>
+                 </object>
+                </at>
+               </object>
+              </at>
              </object>
             </at>
            </object>