Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/searchpanel/DefaultSearchPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/searchpanel/DefaultSearchPanel.java	(revision 44602)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/searchpanel/DefaultSearchPanel.java	(revision 44603)
@@ -58,6 +58,7 @@
 import org.gvsig.tools.i18n.I18nManager;
 import org.gvsig.tools.swing.api.ActionListenerSupport;
 import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.api.ToolsSwingManager;
 import org.gvsig.tools.swing.icontheme.IconTheme;
 import org.gvsig.tools.util.ToolsUtilLocator;
 import org.slf4j.Logger;
@@ -207,6 +208,7 @@
     private final Map<String, ActionButtons> actions;
     private boolean showActions = true;
     private int maxSearhFields = 4;
+    private final I18nManager i18n = ToolsLocator.getI18nManager();
 
     public DefaultSearchPanel(FeatureStore store) {
         this.store = store;
@@ -277,6 +279,12 @@
     }
 
     private void initComponents() {
+        ToolsSwingManager swingManager = ToolsSwingLocator.getToolsSwingManager();
+        swingManager.translate(this.tabSearchMode);
+        swingManager.translate(this.btnSearch);
+        swingManager.translate(this.btnClear);
+        swingManager.translate(this.lblExpressionDeBusqueda);
+                
         ConfigurableActionsMamager cfgActionsManager = ToolsUtilLocator.getConfigurableActionsMamager();
         JComponent c = cfgActionsManager.getConfigurableActionsComponent(CONFIGURABLE_PANEL_ID, this);
         this.pnlCfgActions.setLayout(new BorderLayout(0,0));
@@ -486,7 +494,7 @@
                         public void run() {
                             TableModel m = (TableModel) model.getValue();
                             tblResults.setModel(m);
-                            lblMsg.setText(String.format("%d elementos", m.getRowCount()));
+                            lblMsg.setText(String.format("%d "+i18n.getTranslation("_elements"), m.getRowCount()));
                             setEnabled(true);
                         }
                     });
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/searchpanel/DefaultSearchPanelView.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/searchpanel/DefaultSearchPanelView.xml	(revision 44602)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/searchpanel/DefaultSearchPanelView.xml	(revision 44603)
@@ -24,7 +24,7 @@
     </at>
     <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
    </super>
-   <at name="id">/home/jjdelcerro/datos/devel/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/searchpanel/DefaultSearchPanelView.xml</at>
+   <at name="id">/home/osc/devel/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/searchpanel/DefaultSearchPanelView.xml</at>
    <at name="rowspecs">CENTER:4DLU:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE</at>
    <at name="colspecs">FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE</at>
    <at name="components">
@@ -89,7 +89,7 @@
                  <at name="value">
                   <object classname="com.jeta.forms.store.properties.TabProperty">
                    <at name="name">tab</at>
-                   <at name="title">Simplificada</at>
+                   <at name="title">_Simplified</at>
                    <at name="icon">
                     <object classname="com.jeta.forms.store.properties.IconProperty">
                      <at name="embedded">false</at>
@@ -113,7 +113,7 @@
                       </at>
                       <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                      </super>
-                     <at name="id">embedded.2041925155</at>
+                     <at name="id">embedded.607488925</at>
                      <at name="rowspecs">CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:4DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE</at>
                      <at name="colspecs">FILL:4DLU:NONE,FILL:12DLU:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:12DLU:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:12DLU:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:12DLU:GROW(1.0),FILL:DEFAULT:NONE,FILL:4DLU:NONE</at>
                      <at name="components">
@@ -166,7 +166,7 @@
                               <at name="editable">true</at>
                               <at name="requestFocusEnabled">false</at>
                               <at name="name">cboValue1</at>
-                              <at name="width">161</at>
+                              <at name="width">75</at>
                               <at name="items">
                                <object classname="com.jeta.forms.store.properties.ItemsProperty">
                                 <at name="name">items</at>
@@ -228,7 +228,7 @@
                               <at name="editable">true</at>
                               <at name="requestFocusEnabled">false</at>
                               <at name="name">cboValue2</at>
-                              <at name="width">161</at>
+                              <at name="width">75</at>
                               <at name="items">
                                <object classname="com.jeta.forms.store.properties.ItemsProperty">
                                 <at name="name">items</at>
@@ -290,7 +290,7 @@
                               <at name="editable">true</at>
                               <at name="requestFocusEnabled">false</at>
                               <at name="name">cboValue3</at>
-                              <at name="width">161</at>
+                              <at name="width">74</at>
                               <at name="items">
                                <object classname="com.jeta.forms.store.properties.ItemsProperty">
                                 <at name="name">items</at>
@@ -352,7 +352,7 @@
                               <at name="editable">true</at>
                               <at name="requestFocusEnabled">false</at>
                               <at name="name">cboValue4</at>
-                              <at name="width">154</at>
+                              <at name="width">68</at>
                               <at name="items">
                                <object classname="com.jeta.forms.store.properties.ItemsProperty">
                                 <at name="name">items</at>
@@ -412,7 +412,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblRelationalOperator1</at>
-                              <at name="width">134</at>
+                              <at name="width">48</at>
                               <at name="text">Igual</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
@@ -473,7 +473,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblRelationalOperator2</at>
-                              <at name="width">134</at>
+                              <at name="width">48</at>
                               <at name="text">Igual</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
@@ -534,7 +534,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblRelationalOperator3</at>
-                              <at name="width">134</at>
+                              <at name="width">47</at>
                               <at name="text">Igual</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
@@ -595,7 +595,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblRelationalOperator4</at>
-                              <at name="width">134</at>
+                              <at name="width">48</at>
                               <at name="text">Igual</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
@@ -839,7 +839,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblField1</at>
-                              <at name="width">134</at>
+                              <at name="width">48</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                                 <at name="name">fill</at>
@@ -899,7 +899,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblField2</at>
-                              <at name="width">134</at>
+                              <at name="width">48</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                                 <at name="name">fill</at>
@@ -959,7 +959,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblField3</at>
-                              <at name="width">134</at>
+                              <at name="width">47</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                                 <at name="name">fill</at>
@@ -1019,7 +1019,7 @@
                               </at>
                               <at name="horizontalAlignment">0</at>
                               <at name="name">lblField4</at>
-                              <at name="width">134</at>
+                              <at name="width">48</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                                 <at name="name">fill</at>
@@ -1322,7 +1322,7 @@
                            </at>
                           </object>
                          </at>
-                         <at name="name"></at>
+                         <at name="name"/>
                          <at name="fill">
                           <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                            <at name="name">fill</at>
@@ -1411,7 +1411,7 @@
                  <at name="value">
                   <object classname="com.jeta.forms.store.properties.TabProperty">
                    <at name="name">tab</at>
-                   <at name="title">Avanzada</at>
+                   <at name="title">_Advanced</at>
                    <at name="icon">
                     <object classname="com.jeta.forms.store.properties.IconProperty">
                      <at name="embedded">false</at>
@@ -1435,7 +1435,7 @@
                       </at>
                       <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                      </super>
-                     <at name="id">embedded.1846888562</at>
+                     <at name="id">embedded.1257561441</at>
                      <at name="rowspecs">CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE</at>
                      <at name="colspecs">FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE</at>
                      <at name="components">
@@ -1485,7 +1485,7 @@
                                </object>
                               </at>
                               <at name="name">txtAdvancedExpression</at>
-                              <at name="width">769</at>
+                              <at name="width">424</at>
                               <at name="height">20</at>
                              </object>
                             </at>
@@ -1539,8 +1539,8 @@
                                </object>
                               </at>
                               <at name="name">lblExpressionDeBusqueda</at>
-                              <at name="width">769</at>
-                              <at name="text">Introduzca una expresion de busqueda</at>
+                              <at name="width">424</at>
+                              <at name="text">_Insert_a_search_expression</at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                                 <at name="name">fill</at>
@@ -1748,7 +1748,7 @@
                            </at>
                           </object>
                          </at>
-                         <at name="name"/>
+                         <at name="name"></at>
                          <at name="fill">
                           <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                            <at name="name">fill</at>
@@ -1831,7 +1831,7 @@
               </at>
              </object>
             </at>
-            <at name="width">887</at>
+            <at name="width">542</at>
             <at name="tabCount">2</at>
             <at name="height">154</at>
            </object>
@@ -1886,7 +1886,7 @@
              </object>
             </at>
             <at name="name">tblResults</at>
-            <at name="width">885</at>
+            <at name="width">540</at>
             <at name="scollBars">
              <object classname="com.jeta.forms.store.properties.ScrollBarsProperty">
               <at name="name">scollBars</at>
@@ -1939,7 +1939,7 @@
          </at>
          <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
         </super>
-        <at name="id">embedded.1196826108</at>
+        <at name="id">embedded.730061379</at>
         <at name="rowspecs">CENTER:DEFAULT:NONE</at>
         <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
         <at name="components">
@@ -1990,8 +1990,8 @@
                  </at>
                  <at name="actionCommand">Buscar</at>
                  <at name="name">btnSearch</at>
-                 <at name="width">72</at>
-                 <at name="text">Buscar</at>
+                 <at name="width">78</at>
+                 <at name="text">_Search</at>
                  <at name="height">22</at>
                 </object>
                </at>
@@ -2046,8 +2046,8 @@
                  </at>
                  <at name="actionCommand">Limpiar</at>
                  <at name="name">btnClear</at>
-                 <at name="width">74</at>
-                 <at name="text">Limpiar</at>
+                 <at name="width">68</at>
+                 <at name="text">_Clear</at>
                  <at name="height">22</at>
                 </object>
                </at>
@@ -2155,7 +2155,7 @@
          </at>
          <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
         </super>
-        <at name="id">embedded.267987326</at>
+        <at name="id">embedded.835443061</at>
         <at name="rowspecs">CENTER:DEFAULT:NONE</at>
         <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
         <at name="components">
@@ -2205,7 +2205,7 @@
                   </object>
                  </at>
                  <at name="name">lblMsg</at>
-                 <at name="width">859</at>
+                 <at name="width">514</at>
                  <at name="fill">
                   <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                    <at name="name">fill</at>
@@ -2352,7 +2352,7 @@
          </at>
          <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
         </super>
-        <at name="id">embedded.I17092edeI16c41952af7OY7ff1</at>
+        <at name="id">embedded.15882479</at>
         <at name="rowspecs">CENTER:DEFAULT:NONE</at>
         <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE</at>
         <at name="components">
@@ -2409,7 +2409,7 @@
               </at>
              </object>
             </at>
-            <at name="name"></at>
+            <at name="name"/>
             <at name="fill">
              <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
               <at name="name">fill</at>
@@ -2420,6 +2420,26 @@
               <at name="name">scollBars</at>
               <at name="verticalpolicy">21</at>
               <at name="horizontalpolicy">31</at>
+              <at name="border">
+               <object classname="com.jeta.forms.store.properties.CompoundBorderProperty">
+                <super classname="com.jeta.forms.store.properties.BorderProperty">
+                 <at name="name">border</at>
+                </super>
+                <at name="borders">
+                 <object classname="java.util.LinkedList">
+                  <item >
+                   <at name="value">
+                    <object classname="com.jeta.forms.store.properties.DefaultBorderProperty">
+                     <super classname="com.jeta.forms.store.properties.BorderProperty">
+                      <at name="name">border</at>
+                     </super>
+                    </object>
+                   </at>
+                  </item>
+                 </object>
+                </at>
+               </object>
+              </at>
              </object>
             </at>
            </object>
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/searchpanel/DefaultSearchPanelView.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/searchpanel/DefaultSearchPanelView.java	(revision 44602)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/searchpanel/DefaultSearchPanelView.java	(revision 44603)
@@ -7,6 +7,8 @@
 import java.awt.ComponentOrientation;
 import java.awt.Container;
 import java.awt.Dimension;
+import java.awt.event.WindowAdapter;
+import java.awt.event.WindowEvent;
 import javax.swing.Box;
 import javax.swing.ImageIcon;
 import javax.swing.JButton;
@@ -64,6 +66,26 @@
    }
 
    /**
+    * Main method for panel
+    */
+   public static void main(String[] args)
+   {
+      JFrame frame = new JFrame();
+      frame.setSize(600, 400);
+      frame.setLocation(100, 100);
+      frame.getContentPane().add(new DefaultSearchPanelView());
+      frame.setVisible(true);
+
+      frame.addWindowListener( new WindowAdapter()
+      {
+         public void windowClosing( WindowEvent evt )
+         {
+            System.exit(0);
+         }
+      });
+   }
+
+   /**
     * Adds fill components to empty cells in the first row and first column of the grid.
     * This ensures that the grid spacing will be the same as shown in the designer.
     * @param cols an array of column indices in the first row where fill components should be added.
@@ -153,8 +175,8 @@
       EmptyBorder emptyborder1 = new EmptyBorder(2,2,2,2);
       tabSearchMode.setBorder(emptyborder1);
       tabSearchMode.setTabPlacement(JTabbedPane.BOTTOM);
-      tabSearchMode.addTab("Simplificada",null,createPanel1());
-      tabSearchMode.addTab("Avanzada",null,createPanel2());
+      tabSearchMode.addTab("_Simplified",null,createPanel1());
+      tabSearchMode.addTab("_Advanced",null,createPanel2());
       jpanel1.add(tabSearchMode,cc.xy(2,3));
 
       tblResults.setName("tblResults");
@@ -280,7 +302,7 @@
       jpanel1.add(txtAdvancedExpression,cc.xy(2,4));
 
       lblExpressionDeBusqueda.setName("lblExpressionDeBusqueda");
-      lblExpressionDeBusqueda.setText("Introduzca una expresion de busqueda");
+      lblExpressionDeBusqueda.setText("_Insert_a_search_expression");
       jpanel1.add(lblExpressionDeBusqueda,cc.xy(2,2));
 
       btnAdvancedExpression.setActionCommand("...");
@@ -314,12 +336,12 @@
 
       btnSearch.setActionCommand("Buscar");
       btnSearch.setName("btnSearch");
-      btnSearch.setText("Buscar");
+      btnSearch.setText("_Search");
       jpanel1.add(btnSearch,cc.xy(4,1));
 
       btnClear.setActionCommand("Limpiar");
       btnClear.setName("btnClear");
-      btnClear.setText("Limpiar");
+      btnClear.setText("_Clear");
       jpanel1.add(btnClear,cc.xy(2,1));
 
       addFillComponents(jpanel1,new int[]{ 1,3 },new int[]{ 1 });
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/i18n/text.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/i18n/text.properties	(revision 44602)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/i18n/text.properties	(revision 44603)
@@ -1398,4 +1398,10 @@
 _Record_removed=Registro eliminado
 error_removing_data_will_not_remove=Error al eliminar. Los datos no se eliminar\u00e1n.
 _Creating_filter_for=Creando filtro para:
-_Form_refreshed=Formulario actualizado.
\ No newline at end of file
+_Form_refreshed=Formulario actualizado.
+_Simplified=Simplificada
+_Advanced=Avanzada
+_Clear=Limpiar
+_Search=Buscar
+_Insert_a_search_expression=Introduzca una expresi\u00f3n de b\u00fasqueda
+_elements=elementos
\ No newline at end of file
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/i18n/text_en.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/i18n/text_en.properties	(revision 44602)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/i18n/text_en.properties	(revision 44603)
@@ -1317,4 +1317,10 @@
 error_saving_data_will_not_save=Error saving. Data will not save.
 _Record_removed=Record removed
 _Creating_filter_for=Creating filter for:
-_Form_refreshed=Form refreshed
\ No newline at end of file
+_Form_refreshed=Form refreshed
+_Simplified=Simplified
+_Advanced=Advanced
+_Clear=Clear
+_Search=Search
+_Insert_a_search_expression=Inseart a search expression
+_elements=elements
\ No newline at end of file