Index: SQLBuilderTest.java
===================================================================
--- SQLBuilderTest.java	(revision 44643)
+++ SQLBuilderTest.java	(revision 44644)
@@ -1,10 +1,10 @@
 package org.gvsig.fmap.dal.store.jdbc2;
 
-import java.util.List;
 import junit.framework.TestCase;
 import org.apache.commons.lang3.ArrayUtils;
 import org.cresques.cts.IProjection;
 import org.gvsig.expressionevaluator.ExpressionBuilder;
+import org.gvsig.expressionevaluator.GeometryExpressionBuilder;
 import org.gvsig.fmap.crs.CRSFactory;
 import org.gvsig.fmap.dal.DALLocator;
 import org.gvsig.fmap.dal.DataManager;
@@ -56,7 +56,7 @@
         limit.addVertex(0, 0);
         
         SQLBuilder sqlbuilder = createSQLBuilder();
-        ExpressionBuilder expbuilder = sqlbuilder.expression();
+        GeometryExpressionBuilder expbuilder = sqlbuilder.expression();
         
         sqlbuilder.select().column().value(
             expbuilder.as_geometry(
@@ -328,12 +328,12 @@
         IProjection proj = CRSFactory.getCRS("EPSG:4326");
 
         SQLBuilder sqlbuilder = createSQLBuilder();
-        ExpressionBuilder expbuilder = sqlbuilder.expression();
+        GeometryExpressionBuilder expbuilder = sqlbuilder.expression();
 
         sqlbuilder.insert().table().database("master").schema("dbo").name("test1");
         sqlbuilder.insert().column().name("id").with_value(expbuilder.parameter("id"));
         sqlbuilder.insert().column().name("name").with_value(expbuilder.parameter("name"));
-        sqlbuilder.insert().column().name("geom").with_value(expbuilder.parameter("geom").as_geometry_variable().srs(proj));
+        sqlbuilder.insert().column().name("geom").with_value(expbuilder.parameter("geom").as_variable().srs(proj));
         
         System.out.println("# Test:: testPerformInserts1");
         System.out.println("# SQL:: " + sqlbuilder.toString());
@@ -357,12 +357,12 @@
         IProjection proj = CRSFactory.getCRS("EPSG:4326");
 
         SQLBuilder sqlbuilder = createSQLBuilder();
-        ExpressionBuilder expbuilder = sqlbuilder.expression();
+        GeometryExpressionBuilder expbuilder = sqlbuilder.expression();
 
         sqlbuilder.insert().table().database("master").schema("dbo").name("test1");
         sqlbuilder.insert().column().name("id").with_value(expbuilder.parameter("id"));
         sqlbuilder.insert().column().name("name").with_value(expbuilder.parameter("name"));
-        sqlbuilder.insert().column().name("geom").with_value(expbuilder.parameter("geom").as_geometry_variable().srs(proj));
+        sqlbuilder.insert().column().name("geom").with_value(expbuilder.parameter("geom").as_variable().srs(proj));
         
         System.out.println("# Test:: testPerformInserts2");
         System.out.println("# SQL:: " + sqlbuilder.toString());
@@ -386,7 +386,7 @@
         IProjection proj = CRSFactory.getCRS("EPSG:4326");
 
         SQLBuilder sqlbuilder = createSQLBuilder();
-        ExpressionBuilder expbuilder = sqlbuilder.expression();
+        GeometryExpressionBuilder expbuilder = sqlbuilder.expression();
 
         sqlbuilder.update().table().database("master").schema("dbo").name("test1");
         sqlbuilder.update().where().and(
@@ -397,7 +397,7 @@
         );
         sqlbuilder.update().column().name("name").with_value(expbuilder.parameter("name"));
         sqlbuilder.update().column().name("geom").with_value(
-                expbuilder.parameter("geom").as_geometry_variable().srs(proj) 
+                expbuilder.parameter("geom").as_variable().srs(proj) 
         );
 
         System.out.println("# Test:: testPerformUpdates");
@@ -422,7 +422,7 @@
         IProjection proj = CRSFactory.getCRS("EPSG:4326");
 
         SQLBuilder sqlbuilder = createSQLBuilder();
-        ExpressionBuilder expbuilder = sqlbuilder.expression();
+        GeometryExpressionBuilder expbuilder = sqlbuilder.expression();
 
         sqlbuilder.update().table().database("master").schema("dbo").name("test1");
         sqlbuilder.update().where().and(
@@ -433,7 +433,7 @@
         );
         sqlbuilder.update().column().name("name").with_value(expbuilder.parameter("name"));
         sqlbuilder.update().column().name("geom").with_value(
-                expbuilder.parameter("geom").as_geometry_variable()
+                expbuilder.parameter("geom").as_variable()
                         .srs(expbuilder.parameter().value(proj)) 
         );
 
@@ -574,13 +574,13 @@
 
         //# Test:: testForeingValue
         //# SQL1:: SELECT "ID", "NAME", "DESCRIPTION", "TYPE" FROM "dbo"."test1" WHERE (( (FOREING_VALUE('TYPE.DESCRIPTION')) LIKE ('A%') ) AND ( (FOREING_VALUE('PHONE_TYPE.DESCRIPTION')) = ('mobile') ))
-        //# SQL2:: SELECT "ID", "NAME", "dbo"."test1"."DESCRIPTION", "TYPE", "dbo"."TYPES"."DESCRIPTION", "dbo"."PHONE_TYPES"."DESCRIPTION" FROM "dbo"."test1" LEFT JOIN "dbo"."TYPES" ON ( ("dbo"."test1"."TYPE") = ("dbo"."TYPES"."ID") ) LEFT JOIN "dbo"."PHONE_TYPES" ON ( ("dbo"."test1"."PHONE_TYPE") = ("dbo"."PHONE_TYPES"."ID") ) WHERE (( ("dbo"."TYPES"."DESCRIPTION") LIKE ('A%') ) AND ( ("dbo"."PHONE_TYPES"."DESCRIPTION") = ('mobile') ))
+        //# SQL2:: SELECT "ID", "NAME", "dbo"."test1"."DESCRIPTION", "dbo"."test1"."TYPE", "dbo"."TYPES"."DESCRIPTION", "dbo"."PHONE_TYPES"."DESCRIPTION" FROM "dbo"."test1" LEFT JOIN "dbo"."TYPES" ON ( ("dbo"."test1"."TYPE") = ("dbo"."TYPES"."ID") ) LEFT JOIN "dbo"."PHONE_TYPES" ON ( ("dbo"."test1"."PHONE_TYPE") = ("dbo"."PHONE_TYPES"."ID") ) WHERE (( ("dbo"."TYPES"."DESCRIPTION") LIKE ('A%') ) AND ( ("dbo"."PHONE_TYPES"."DESCRIPTION") = ('mobile') ))
         //# Variables:: [DESCRIPTION, DESCRIPTION, DESCRIPTION, ID, NAME, TYPE]
         //# Parametros:: []
         //# attrNames:: [TYPE.DESCRIPTION, PHONE_TYPE.DESCRIPTION]
 
         assertEquals(
-                "SELECT \"ID\", \"NAME\", \"dbo\".\"test1\".\"DESCRIPTION\", \"TYPE\", \"dbo\".\"TYPES\".\"DESCRIPTION\", \"dbo\".\"PHONE_TYPES\".\"DESCRIPTION\" FROM \"dbo\".\"test1\" LEFT JOIN \"dbo\".\"TYPES\" ON ( (\"dbo\".\"test1\".\"TYPE\") = (\"dbo\".\"TYPES\".\"ID\") ) LEFT JOIN \"dbo\".\"PHONE_TYPES\" ON ( (\"dbo\".\"test1\".\"PHONE_TYPE\") = (\"dbo\".\"PHONE_TYPES\".\"ID\") ) WHERE (( (\"dbo\".\"TYPES\".\"DESCRIPTION\") LIKE ('A%') ) AND ( (\"dbo\".\"PHONE_TYPES\".\"DESCRIPTION\") = ('mobile') ))",
+                "SELECT \"ID\", \"NAME\", \"dbo\".\"test1\".\"DESCRIPTION\", \"dbo\".\"test1\".\"TYPE\", \"dbo\".\"TYPES\".\"DESCRIPTION\", \"dbo\".\"PHONE_TYPES\".\"DESCRIPTION\" FROM \"dbo\".\"test1\" LEFT JOIN \"dbo\".\"TYPES\" ON ( (\"dbo\".\"test1\".\"TYPE\") = (\"dbo\".\"TYPES\".\"ID\") ) LEFT JOIN \"dbo\".\"PHONE_TYPES\" ON ( (\"dbo\".\"test1\".\"PHONE_TYPE\") = (\"dbo\".\"PHONE_TYPES\".\"ID\") ) WHERE (( (\"dbo\".\"TYPES\".\"DESCRIPTION\") LIKE ('A%') ) AND ( (\"dbo\".\"PHONE_TYPES\".\"DESCRIPTION\") = ('mobile') ))",
                 sqlbuilder.toString()
         );
         assertEquals(