Index: TestCodeFormatter.java
===================================================================
--- TestCodeFormatter.java	(revision 44643)
+++ TestCodeFormatter.java	(revision 44644)
@@ -1,10 +1,8 @@
 package org.gvsig.expresionevaluator.impl;
 
 import java.text.MessageFormat;
-import static junit.framework.Assert.assertEquals;
 import junit.framework.TestCase;
 import org.apache.commons.lang3.StringUtils;
-import org.cresques.cts.IProjection;
 import org.gvsig.expressionevaluator.Code;
 import org.gvsig.expressionevaluator.Code.Caller;
 import org.gvsig.expressionevaluator.Code.Constant;
@@ -15,11 +13,6 @@
 import org.gvsig.expressionevaluator.ExpressionUtils;
 import org.gvsig.expressionevaluator.Formatter;
 import org.gvsig.expressionevaluator.LexicalAnalyzer;
-import org.gvsig.fmap.crs.CRSFactory;
-import org.gvsig.fmap.geom.Geometry;
-import org.gvsig.fmap.geom.GeometryUtils;
-import org.gvsig.fmap.geom.exception.CreateGeometryException;
-import org.gvsig.fmap.geom.primitive.Point;
 import org.gvsig.tools.library.impl.DefaultLibrariesInitializer;
 
 public class TestCodeFormatter extends TestCase {
@@ -41,29 +34,6 @@
                 return builder.bytearray_x((byte[]) ((Constant)code).value());
             }
         }
-
-        private class Formatter_constant_geometry implements Formatter<Code> {
-
-            @Override
-            public boolean canApply(Code code) {
-                if( code instanceof Constant ) {
-                    return ((Constant)code).value() instanceof Geometry;
-                }
-                return false;
-            }
-
-            @Override
-            public String format(Code code) {
-                Geometry geometry = (Geometry) ((Constant)code).value();
-                return MessageFormat.format(
-                        "ST_GeomFromWKB(({0}), ({1}))",
-                        builder.bytearray_x(GeometryUtils.toWKB(geometry)),
-                        String.valueOf(builder.srs_id(geometry.getProjection()))
-                );
-                
-            }
-        }
-
         
         private class Formatter_ST_intersects_H2Spatial implements Formatter<Code> {
             // Need for H2Spatial
@@ -492,51 +462,5 @@
         Code code = compileExpression(source);
         assertEquals("ST_Area(\"GEOMETRY\")", code.toString(formatter()));
     }
-
-    public void test3() throws CreateGeometryException {
-        ExpressionBuilder builder = ExpressionUtils.createExpressionBuilder();
-
-        IProjection proj = CRSFactory.getCRS("EPSG:4326");
-        Point point = GeometryUtils.createPoint(10, 20);
-
-        builder.set(        
-            builder.ST_Intersects(
-              builder.geometry(point,proj),
-              builder.variable("the_geom")
-            )
-        );
-        Code code = compileExpression(builder.toString());
-        assertEquals(
-                "ST_Intersects(ST_GeomFromWKB(DECODE('000000000140240000000000004034000000000000', 'hex'), 4326), \"the_geom\")",
-                code.toString()
-        );
-        assertEquals(
-                "( ((ST_GeomFromWKB(x'000000000140240000000000004034000000000000', 4326)) && (\"the_geom\")) AND ST_Intersects((ST_GeomFromWKB(x'000000000140240000000000004034000000000000', 4326)),(\"the_geom\") ))",
-                code.toString(formatter())
-        );
-    }
     
-    public void test4() throws CreateGeometryException {
-        ExpressionBuilder builder = ExpressionUtils.createExpressionBuilder();
-
-        IProjection proj = CRSFactory.getCRS("EPSG:4326");
-        Point point = GeometryUtils.createPoint(10, 20);
-
-        builder.set(        
-            builder.function("ST_Intersects2",
-                builder.geometry(point,proj),
-                builder.variable("the_geom")
-            )
-        );
-        Code code = compileExpression(builder.toString());
-        assertEquals(
-                "ST_Intersects2(ST_GeomFromWKB(DECODE('000000000140240000000000004034000000000000', 'hex'), 4326), \"the_geom\")",
-                code.toString()
-        );
-        assertEquals(
-                "(ST_Intersects(ST_GeomFromWKB(x'000000000140240000000000004034000000000000', 4326),\"the_geom\") AND ROWID IN ( SELECT ROWID FROM SpatialIndex WHERE f_table_name = 'mytable' AND f_geometry_column = 'the_geom' AND search_frame = \"mytable\".\"the_geom\"))",
-                code.toString(formatter())
-        );
-    }
-    
 }